<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
    <!-- <ol class="carousel-indicators">
      <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
      <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
      <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
    </ol> -->
    <ng-container *ngIf="isDesktop">
      <ol class="carousel-indicators">
        <li data-target="#carouselExampleCaptions" *ngFor="let x of carousalDesktopImages;let i = index" [attr.data-slide-to]="i" ngClass="i == 0 ? 'active' : ''"></li>
      </ol>
      <div class="carousel-inner">
        <div *ngFor="let content of carousalDesktopImages; let i = index" class="carousel-item" [ngClass]="{'active': i === 0 }" >
          <img [src]="hostName + content.media.url" class="d-block w-100 img-fluid" [alt]="content?.media?.code">
        </div>
      </div>
    </ng-container>
    <ng-container *ngIf="!isDesktop">
      <ol class="carousel-indicators">
        <li data-target="#carouselExampleCaptions" *ngFor="let x of carousalData;let i = index" [attr.data-slide-to]="i" ngClass="i == 0 ? 'active' : ''"></li>
      </ol>
      <div class="carousel-inner">
        <div *ngFor="let content of carousalData; let i = index" class="carousel-item" [ngClass]="{'active': i === 0 }" >
          <img [src]="hostName + content.media.url" class="d-block w-100 img-fluid" [alt]="content?.media?.code">
        </div>
      </div>
    </ng-container>
    <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>